PPI::Token::Number::Exp(3)

NAME
PPI::Token::Number::Exp - Token class for an exponential notation number

SYNOPSIS
  $n = 1.0e-2;
  $n = 1e+2;

INHERITANCE
  PPI::Token::Number::Exp
  isa PPI::Token::Number::Float
      isa PPI::Token::Number
          isa PPI::Token
              isa PPI::Element

DESCRIPTION
The "PPI::Token::Number::Exp" class is used for tokens that represent floating point numbers with exponential notation.

METHODS

  literal
Return the numeric value of this token.

SUPPORT
See the support section in the main module.

AUTHOR
Chris Dolan <cdolan@cpan.org>

COPYRIGHT
Copyright 2006 Chris Dolan.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.